# $Revision: 1.379.2.1 $, $Date: 2007/02/12 20:23:31 $
#
# Conditional build:
%bcond_without	tests			# disable testing
%bcond_without	tcl			# disables Tcl support
%bcond_without	kerberos5		# disable kerberos5 support
%bcond_without	perl			# disable Perl support
%bcond_without	python			# disable Python support
%bcond_with	php			# enable PHP support
%bcond_with	absolute_dbpaths	# enable absolute paths to create database
					# (disabled by default because it is a security risk)

Summary:	PostgreSQL Data Base Management System
Summary(de):	PostgreSQL Datenbankverwaltungssystem
Summary(es):	Gestor de Banco de Datos PostgreSQL
Summary(fr):	Sysme de gestion de base de donnes PostgreSQL
Summary(pl):	PostgreSQL - system bazodanowy
Summary(pt_BR):	Gerenciador de Banco de Dados PostgreSQL
Summary(ru):	PostgreSQL -    
Summary(tr):	Veri Taban Ynetim Sistemi
Summary(uk):	PostgreSQL -    
Summary(zh_CN):	PostgreSQL ͻ˳Ϳļ
Name:		postgresql
Version:	8.2.3
Release:	1
License:	BSD
Group:		Applications/Databases
Source0:	ftp://ftp.postgresql.org/pub/source/v%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	cb47771004d53505200ffd00ac45bc32
Source1:	%{name}.init
Source2:	pgsql-Database-HOWTO-html.tar.gz
# Source2-md5:	5b656ddf1db41965761f85204a14398e
Source3:	%{name}.sysconfig
Source8:	http://www.commandprompt.com/files/plphp-8.x.tar.bz2
# Source8-md5:	d307e4ab8cb6900a1c290a5dde1bdeee
Patch0:		%{name}-conf.patch
Patch1:		%{name}-absolute_dbpaths.patch
Patch2:		%{name}-version.patch
Patch3:		%{name}-ecpg_link.patch
Patch4:		%{name}-ecpg-includedir.patch
Patch5:		%{name}-pg_ctl-fix.patch
URL:		http://www.postgresql.org/
BuildRequires:	autoconf
BuildRequires:	automake
#BuildRequires:	bison >= 1.875	not needed for releases
BuildRequires:	flex
BuildRequires:	gettext-devel
%{?with_kerberos5:BuildRequires:	heimdal-devel >= 0.7}
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	pam-devel
%{?with_perl:BuildRequires:	perl-devel}
%if %{with php}
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.322
%endif
%if %{with python}
BuildRequires:	python >= 1:2.3
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules >= 1:2.3
%endif
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpmbuild(macros) >= 1.268
%{?with_tcl:BuildRequires:	tcl-devel >= 8.4.3}
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/usermod
Requires:	%{name}-clients = %{version}-%{release}
Requires:	%{name}-libs = %{version}-%{release}
Requires:	rc-scripts
Obsoletes:	postgresql-server
Obsoletes:	postgresql-test
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pgmoduledir	%{_libdir}/postgresql
%define		_pgsqldir	%{_datadir}/postgresql/contrib

%define		_ulibdir	/usr/lib

%description
PostgreSQL Data Base Management System (formerly known as Postgres,
then as Postgres95).

PostgreSQL is an enhancement of the POSTGRES database management
system, a next-generation DBMS research prototype. While PostgreSQL
retains the powerful data model and rich data types of POSTGRES, it
replaces the PostQuel query language with an extended subset of SQL.
PostgreSQL is free and the complete source is available.

PostgreSQL development is being performed by a team of Internet
developers who all subscribe to the PostgreSQL development mailing
list. The current coordinator is Marc G. Fournier
(scrappy@postgreSQL.org). This team is now responsible for all current
and future development of PostgreSQL.

The authors of PostgreSQL 1.01 were Andrew Yu and Jolly Chen. Many
others have contributed to the porting, testing, debugging and
enhancement of the code. The original Postgres code, from which
PostgreSQL is derived, was the effort of many graduate students,
undergraduate students, and staff programmers working under the
direction of Professor Michael Stonebraker at the University of
California, Berkeley.

The original name of the software at Berkeley was Postgres. When SQL
functionality was added in 1995, its name was changed to Postgres95.
The name was changed at the end of 1996 to PostgreSQL.

PostgreSQL runs on Solaris, SunOS, HPUX, AIX, Linux, Irix, FreeBSD,
and most flavours of Unix.

%description -l de
PostgreSQL Datenbank-Managementsystem (frher als Postgres, dann als
Postgres95 bekannt).

PostgreSQL ist eine Verbesserung des POSTGRES-DB-Managementsystems,
ein DBMS-Forschungsprototyp der nchsten Generation. Whrend es das
leistungsfhige Datenmodell und die reichhaltigen Datentypen von
POSTGRES beibehlt, ersetzt es die PostQuel-Abfragesprache durch ein
Subset von SQL. PostgreSQL ist gratis, der gesamte Quellcode ist
verfgbar.

Ein Team von Internet-Entwicklern befat sich mit PostgreSQL. Sie alle
sind auf der PostgreSQL-Entwickleradreliste. Koordinator ist Marc G.
Fournier (scrappy@postgreSQL.org). Das Team ist verantwortlich fr
alle aktuellen und knftigen Entwicklungen von PostgreSQL.

Die Autoren von PostgreSQL 1.01 waren Andrew Yu und Jolly Chen.
Zahlreiche andere haben zur Portierung, zum Testen, Debugging und zur
Verbesserung des Code beigetragen. Den Original-Postgres-Code, von dem
sich PostgreSQL ableitet, verdanken wir der Arbeit vieler Doktoranden,
Studenten und Programmierern unter der Leitung von Professor Michael
Stonebraker an der University of California, Berkeley.

Der ursprngliche Name war Postgres. Als 1995 SQL-Funktionalitt
hinzukam, wurde der Name in Postgres95 gendert. Ende 1996 schlielich
entschied man sich fr PostgreSQL.

PostgreSQL luft auf Solaris, SunOS, HPUX, AIX, Linux, Irix, FreeBSD
und den meisten Unix-Systemen.

%description -l es
Administrador de Banco de Datos PostgreSQL (conocido anteriormente
como Postgres, y despus como Postgres95). PostgreSQL es una
continuacin mejorada del Sistema Administrador de Banco de Datos
POSTGRES, que era un prototipo de pesquisa para un SGBD de nueva
generacin. Mientras PostgreSQL mantiene el potente modelo de datos y
los varios tipos de datos del POSTGRES, substituye el lenguaje de
consulta PostQuel por un subconjunto extendido de la SQL. PostgreSQL
es libre y tiene los fuentes disponibles. El desarrollo del PostgreSQL
se ejecutado por un equipo de estudiosos de Internet, todos suscritos
en la lista de desarrollo del PostgreSQL. El coordinador actual es
Marc G. Fournier (scrappy@postgreSQL.org). Este equipo es ahora
responsable por el desarrollo actual y futuro del PostgreSQL.

%description -l fr
Systme de gestion de bases de donnes PostgreSQL (D'abord nomm
Postgres, puis Postgres95).

PostgreSQL est une amlioration du systme de gestion de bases de
donnes POSTGRES, un prototype de recherche de la gnration suivant
DBMS. Tout en conservant le puissant modle de donne de et les types
de done riches de Postgres, il remplace le langage de requtes de
Postgres par un sous ensemble etendu de commandes SQL. PosrgreSQL est
libre, et ses sources sont disponibles.

Le dveloppement de PostgreSQL est actuellement ralis via internet
parune quipe de dveloppeurs inscrits sur la mailing-list de
dveloppement de PostgreSQL. Le coordinateur actuel est Marc G
Fournier (scrappy@postgreSQL.org). Cette quipe est responsable du
dveloppemen actuel et  venir de PostgreSQL.

Les auteurs de PostgreSQL 1.01 taient Andrew Yu et Jolly Chen.
Beaucoup d'autres ont contribu au portage, au test, au dbogage et 
l'amlioration du code. Le code original de Postgres, duquel
PostgreSQL est driv, a t l'oeuvre d'tudiants de haut niveau, de
moins haut niveau, et de programmeurs travaillant sous la direction du
professeur Michael Stonebraker  l'universit de Berkeley Californie.

Le nom original du logiciel tait Postgres. Quand les fonctionnalites
SQL furent ajoutes en 1995, son nom est devenu Postgres95. Il a t
rebaptis PostgreSQL en 1996.

PostgreSQL tourne sur Solaris, SunOS, HPUX, AIX, Linux, Irix, FreeBSD,
et la plupart des Unix.

%description -l pl
System Zarzdzania Baz Danych PostgreSQL (dawniej znany jako
Postgres, nastpnie jako Postgres95).

PostgreSQL jest rozszerzeniem systemu zarzdzania baz danych POSTGRES,
prototypu DBMS nastpnej generacji. Co prawda PostgreSQL odziedziczy
model danych oraz bogaty zbir rnych typw danych, to jednak jzyk
zapyta PostQuel zosta zastpiony rozszerzonym SQL-em. PostgreSQL
jest wolnym oprogramowaniem i kody rdowe tego oprogramowania s w
peni dostpne.

System PostgreSQL jest tworzony przez zesp ludzi, ktrzy s zapisani
na list dyskusyjn dotyczc PostgreSQL-a. Obecnym koordynatorem jest
Marc G. Fournier (scrappy@postgreSQL.org). Wymieniony wyej zesp
jest odpowiedzialny za aktualny i przyszy rozwj systemu PostgreSQL.

Autorami PostgreSQL-a 1.01 byli Andrew Yu oraz Jolly Chen. Wielu
innych pomagao przenoszc na rne platformy, testujc, analizujc i
rozszerzajc kod. Oryginalny kod Postgres-a, na podstawie ktrego
PostgreSQL powsta, by wysikiem wielu absolwentw, studentw oraz
zespou programistw, ktrzy pracowali pod kierunkiem profesora
Michaela Stonebrakera z Uniwersytetu Kalifornii w Berkeley.

Nazwa oryginalna oprogramowania tworzonego w Berkeley brzmiaa
Postgres. W 1995 roku dodano jzyk zapyta SQL i nazw zmieniono na
Postgres95. W kocu roku 1996 nazw ostatecznie zmieniono na
PostgreSQL.

PostgreSQL moe by uruchomiony pod nastpujcymi systemami: Solaris,
SunOS, HPUX, AIX, Linux, Irix, FreeBSD i innymi systemami uniksowymi.

%description -l pt_BR
Gerenciador de Banco de Dados PostgreSQL (conhecido anteriormente como
Postgres, e depois como Postgres95).

O PostgreSQL  uma continuao melhorada do Sistema Gerenciador de
Banco de Dados POSTGRES, que era um prottipo de pesquisa para um SGBD
de nova gerao. Enquanto o PostgreSQL mantm o poderoso modelo de
dados e os vrios tipos de dados do POSTGRES, ele substitui a
linguagem de consulta PostQuel por um subconjunto estendido da SQL. O
PostgreSQL  livre e tem os fontes disponveis.

O desenvolvimento do PostgreSQL est sendo executado por uma equipe de
desenvolvedores da Internet, todos subscritores da lista de
desenvolvimento do PostgreSQL. O coordenador atual  Marc G. Fournier
(scrappy@postgreSQL.org). Esta equipe  agora responsvel pelo
desenvolvimento atual e futuro do PostgreSQL.

%description -l ru
PostgreSQL -     (  
Postgres,   Postgres95).

PostgreSQL -       
POSTGRES,   DBMS  .
         POSTGRES,
    PostQuel   SQL.
PostgreSQL        
.

PostgreSQL   Internet-, 
  ,   PostgreSQL.  
   Marc G. Fournier
(scrappy@postgreSQL.org).       
     PostgreSQL.

 PostgreSQL 1.01  Andrew Yu  Jolly Chen.  
   , ,    .
  Postgres,    PostgreSQL, 
  ,   ,  
  Michael Stonebraker  University of
California, Berkeley.

    Berkeley  Postgres.   1995 
   SQL,   
Postgres95.   1996        
PostgreSQL.

PostgreSQL   Solaris, SunOS, HPUX, AIX, Linux, Irix, FreeBSD
    Unix.

%description -l tr
PostgreSQL, POSTGRES'den tremi bir veri taban ynetim sistemidir
(DBMS). Gl veri modeli ve zengin POSTGRES veri tiplerini
desteklerken SQL'in geniletilmi bir altkmesi yerine PostQuel
sorgulama dilini koyar.

%description -l uk
PostgreSQL -     (Φ צ  Postgres,
Ԧ  Postgres95).

PostgreSQL -   Ӧ    
POSTGRES, ̦  DBMS ϧ æ.
Ҧ      ¦ Ц  POSTGRES,
 ͦ  Ԧ PostQuel   SQL. PostgreSQL
  Ѥ  Ħ   Ȧ
Ԧ.

PostgreSQL Ѥ  Internet-ͦԦ, ˦
 ,  æ PostgreSQL. ڦ
  Marc G. Fournier (scrappy@postgreSQL.org).  
צצ  Ӧ Φ  Φ  PostgreSQL.

 PostgreSQL 1.01  Andrew Yu  Jolly Chen.  
 צ   , , צ  
. Ǧ  Postgres, צ   PostgreSQL, 
  Ԧ, ЦԦ  ,  
Ц Ҧ  Michael Stonebraker  University of
California, Berkeley.

Ǧ    Berkeley  Postgres.   1995 æ
  æΦ SQL,  ͦ  Postgres95. 
˦æ 1996     ͦ    PostgreSQL.

PostgreSQL   Solaris, SunOS, HPUX, AIX, Linux, Irix, FreeBSD
 ¦Ԧ  ҦĦ Unix.

%package devel
Summary:	PostgreSQL development header files and libraries
Summary(de):	PostgreSQL-Entwicklungs-Header-Dateien und Libraries
Summary(es):	Archivos de inclusin y bibliotecas PostgreSQL
Summary(fr):	En-ttes et bibliothques de dveloppement PostgreSQL
Summary(pl):	PostgreSQL - pliki nagwkowe i biblioteki
Summary(pt_BR):	Arquivos de incluso e bibliotecas para desenvolvimento com o PostgreSQL
Summary(ru):	PostgreSQL -    
Summary(tr):	PostgreSQL balk dosyalar ve kitaplklar
Summary(uk):	PostgreSQL -   ¦̦ ͦ
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
This package contains header files and libraries required to compile
applications that are talking directly to the PostgreSQL backend
server.

%description devel -l de
Dieses Paket enthlt die Header-Dateien und Libraries, die zum
Kompilieren von Applikationen notwendig sind, die direkt mit dem
PostgreSQL-Backend-Server kommunizieren.

%description devel -l es
Este paquete contiene archivos de inclusin y bibliotecas requeridas
para compilacin de aplicativos que se comunican directamente con el
servidor backend PostgreSQL.

%description devel -l fr
Ce package contient les fichiers d'en-tte et les bibliothques
ncessaires pour compiler des applications ayant des changes directs
avec le serveur du backend PostgreSQL.

%description devel -l pl
Pakiet zawiera nagwki oraz biblioteki wymagane do kompilacji
aplikacji czcych si bezporednio z serwerem PostgreSQL.

%description devel -l pt_BR
Este pacote contm arquivos de incluso e bibliotecas requeridas para
compilao de aplicativos que se comunicam diretamente com o servidor
backend PostgreSQL.

%description devel -l ru
     ,   
,     PostgreSQL.

%description devel -l tr
Bu paket, PostgreSQL sunucusuyla konuacak yazlmlar gelitirmek iin
gereken balk dosyalarn ve kitaplklar ierir.

%description devel -l uk
  ͦ   ¦̦, ȦΦ  
, ˦  Ħ   PostgreSQL.

%package backend-devel
Summary:	PostgreSQL backend development header files
Summary(pl):	PostgreSQL - pliki nagwkowe dla backendu
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-libs = %{version}-%{release}

%description backend-devel
This package contains header files required to compile functions that
could be loaded directly by backend

%description backend-devel -l pl
Pakiet zawiera nagwki wymagane do kompilacji funkcji ktore moga byc
bezposrednio ladowane przez beckend serwera PostgreSQL.

%package clients
Summary:	Clients needed to access a PostgreSQL server
Summary(es):	Clientes necesarios para acceder al servidor PostgreSQL
Summary(pl):	Klienci wymagani do dostpu do serwera PostgreSQL
Summary(pt_BR):	Clientes necessrios para acessar o servidor PostgreSQL
Summary(ru):	 ,      PostgreSQL
Summary(uk):	̦˦ , ȦΦ     PostgreSQL
Group:		Applications/Databases
Requires:	%{name}-libs = %{version}-%{release}

%description clients
This package includes only the clients needed to access an PostgreSQL
server. The server is included in the main package. If all you need is
to connect to another PostgreSQL server, the this is the only package
you need to install. Clients include several command-line utilities
you can use to manage your databases on a remote PostgreSQL server.

%description clients -l es
Este paquete incluye solamente los clientes necesarios para acceder un
servidor PostgreSQL. El servidor est en el paquete principal.

%description clients -l pl
Pakiet zawiera programy klienckie potrzebne dla dostpu do serwera
PostgreSQL oraz narzdzia do zarzdzania bazami dziaajce z linii
polece. Serwer znajduje si w gwnym pakiecie.

%description clients -l pt_BR
Este pacote inclui somente os clientes necessrios para acessar um
servidor PostgreSQL. O servidor est no pacote principal.

%description clients -l ru
       ,
     PostgreSQL.    
.         PostgreSQL, 
 ,    .

        (C,
C++, Perl  Tcl) .      
 C.

%description clients -l uk
  ͦ Ԧ ̦˦   ¦̦, ȦΦ
    PostgreSQL.  ͦ  
Ԧ.   Ҧ     PostgreSQL, 
 ,    .

   ¦̦  Ҧ   (C, C++, Perl
 Tcl) ĦΦ.   ͦ Ԧ ¦̦   C.

%package doc
Summary:	Documentation for PostgreSQL
Summary(pl):	Dodatkowa dokumantacja dla PostgreSQL
Group:		Applications/Databases

%description doc
This package includes documentation and HOWTO for programmer, admin
etc., in HTML format.

%description doc -l pl
Pakiet ten zawiera dokumentacj oraz HOWTO m.in. dla programistw,
administratorw w formacie HTML.

%package libs
Summary:	PostgreSQL libraries
Summary(es):	Biblioteca compartida del PostgreSQL
Summary(pl):	Biblioteki dzielone programu PostgreSQL
Summary(pt_BR):	Biblioteca compartilhada do PostgreSQL
Summary(zh_CN):	PostgreSQL ͻҪĹ
Group:		Libraries

%description libs
PostgreSQL shared libraries.

%description libs -l es
Este paquete contiene la biblioteca compartida para acceso al
PostgreSQL.

%description libs -l pl
Biblioteki dzielone programu PostgreSQL.

%description libs -l pt_BR
Este pacote contm a biblioteca compartilhada para acesso ao
PostgreSQL.

%package ecpg
Summary:	Embedded SQL in C interface
Summary(pl):	Interfejs wbudowanego SQL-a w jzyk C
Group:		Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description ecpg
Embedded SQL in C interface.

%description ecpg -l pl
Interfejs wbudowanego SQL-a w jzyk C.

%package ecpg-devel
Summary:	Embedded SQL in C interface files
Summary(pl):	Pliki programistyczne interfejsu wbudowanego SQL-a w jzyk C
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-ecpg = %{version}-%{release}

%description ecpg-devel
Embedded SQL in C interface files.

%description ecpg-devel -l pl
Pliki programistyczne interfejsu wbudowanego SQL-a w jzyk C.

%package static
Summary:	PostgreSQL static libraries
Summary(es):	Bibliotecas estaticas PostgreSQL
Summary(pl):	Biblioteki statyczne programu PostgreSQL
Summary(pt_BR):	Bibliotecas estticas PostgreSQL
Summary(ru):	     PostgreSQL
Summary(uk):	Φ ¦̦    PostgreSQL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
PostgreSQL static libraries.

%description static -l es
Este paquete contiene bibliotecas estaticas requerida para compilacin
de aplicativos que se comunican directamente con el servidor backend
PostgreSQL.

%description static -l pl
Biblioteki statyczne programu PostgreSQL.

%description static -l pt_BR
Este pacote contm as bibliotecas estticas requeridas para compilao
de aplicativos que se comunicam diretamente com o servidor backend
PostgreSQL.

%description static -l ru
     ,   
  %{name}-devel.

%description static -l uk
   ڦ  ¦̦, ˦ ¦   
%{name}-devel.

%package module-plpgsql
Summary:	PL/pgSQL - PostgreSQL procedural language
Summary(pl):	PL/pgSQL - jzyk proceduralny bazy danych PostgreSQL
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}

%description module-plpgsql
From PostgreSQL documentation:

Postgres supports the definition of procedural languages. In the case
of a function or trigger procedure defined in a procedural language,
the database has no built-in knowledge about how to interpret the
function's source text. Instead, the task is passed to a handler that
knows the details of the language. The handler itself is a special
programming language function compiled into a shared object and loaded
on demand.

To enable PL/pgSQL procedural language for your database you have to
run createlang command.

%description module-plpgsql -l pl
Z dokumentacji PostgreSQL:

Postgres ma wsparcie dla jzykw proceduralnych. W przypadku, kiedy
programista zdefiniuje procedur wyzwalacza lub funkcj w jzyku
proceduralnym, baza danych nie ma pojcia jak interpretowa tego typu
funkcj. Funkcja lub procedura ta jest przekazywana do interpretera,
ktry wie jak j wykona. Interpreter jest odpowiedni, specjaln
funkcj, ktra jest skompilowana w obiekt dzielony i adowany w razie
potrzeby.

Za pomoc polecenia createlang mona doda obsug jzyka
proceduralnego PL/pgSQL dla swojej bazy danych.

%package module-plperl
Summary:	PL/perl - PostgreSQL procedural language
Summary(pl):	PL/perl - jzyk proceduralny bazy danych PostgreSQL
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
Requires:	perl(DynaLoader) = %(%{__perl} -MDynaLoader -e 'print DynaLoader->VERSION')

%description module-plperl
From PostgreSQL documentation:

Postgres supports the definition of procedural languages. In the case
of a function or trigger procedure defined in a procedural language,
the database has no built-in knowledge about how to interpret the
function's source text. Instead, the task is passed to a handler that
knows the details of the language. The handler itself is a special
programming language function compiled into a shared object and loaded
on demand.

To enable PL/Perl procedural language for your database you have to
run createlang command.

%description module-plperl -l pl
Z dokumentacji PostgreSQL:

Postgres ma wsparcie dla jzykw proceduralnych. W przypadku, kiedy
programista zdefiniuje procedur wyzwalacza lub funkcj w jzyku
proceduralnym, baza danych nie ma pojcia jak interpretowa tego typu
funkcj. Funkcja lub procedura ta jest przekazywana do interpretera,
ktry wie jak j wykona. Interpreter jest odpowiedni, specjaln
funkcj, ktra jest skompilowana w obiekt dzielony i adowany w razie
potrzeby.

Za pomoc polecenia createlang mona doda obsug jzyka
proceduralnego PL/Perl dla swojej bazy danych.

%package module-plphp
Summary:	PL/PHP - PostgreSQL procedural language
Summary(pl):	PL/PHP - jzyk proceduralny bazy danych PostgreSQL
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
%{?requires_php_extension}

%description module-plphp
From PostgreSQL documentation:

Postgres supports the definition of procedural languages. In the case
of a function or trigger procedure defined in a procedural language,
the database has no built-in knowledge about how to interpret the
function's source text. Instead, the task is passed to a handler that
knows the details of the language. The handler itself is a special
programming language function compiled into a shared object and loaded
on demand.

To enable PL/PHP procedural language for your database you have to run
createlang command.

%description module-plphp -l pl
Z dokumentacji PostgreSQL:

Postgres ma wsparcie dla jzykw proceduralnych. W przypadku, kiedy
programista zdefiniuje procedur wyzwalacza lub funkcj w jzyku
proceduralnym, baza danych nie ma pojcia jak interpretowa tego typu
funkcj. Funkcja lub procedura ta jest przekazywana do interpretera,
ktry wie jak j wykona. Interpreter jest odpowiedni, specjaln
funkcj, ktra jest skompilowana w obiekt dzielony i adowany w razie
potrzeby.

Za pomoc polecenia createlang mona doda obsug jzyka
proceduralnego PL/PHP dla swojej bazy danych.

%package module-plpython
Summary:	PL/Python - PostgreSQL procedural language
Summary(pl):	PL/Python - jzyk proceduralny bazy danych PostgreSQL
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python

%description module-plpython
From PostgreSQL documentation:

Postgres supports the definition of procedural languages. In the case
of a function or trigger procedure defined in a procedural language,
the database has no built-in knowledge about how to interpret the
function's source text. Instead, the task is passed to a handler that
knows the details of the language. The handler itself is a special
programming language function compiled into a shared object and loaded
on demand.

To enable PL/Python procedural language for your database you have to
run createlang command.

%description module-plpython -l pl
Z dokumentacji PostgreSQL:

Postgres ma wsparcie dla jzykw proceduralnych. W przypadku, kiedy
programista zdefiniuje procedur wyzwalacza lub funkcj w jzyku
proceduralnym, baza danych nie ma pojcia jak interpretowa tego typu
funkcj. Funkcja lub procedura ta jest przekazywana do interpretera,
ktry wie jak j wykona. Interpreter jest odpowiedni, specjaln
funkcj, ktra jest skompilowana w obiekt dzielony i adowany w razie
potrzeby.

Za pomoc polecenia createlang mona doda obsug jzyka
proceduralnego PL/Python dla swojej bazy danych.

%package module-pltcl
Summary:	PL/Tcl - PostgreSQL procedural language
Summary(pl):	PL/Tcl - jzyk proceduralny bazy danych PostgreSQL
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}

%description module-pltcl
From PostgreSQL documentation:

Postgres supports the definition of procedural languages. In the case
of a function or trigger procedure defined in a procedural language,
the database has no built-in knowledge about how to interpret the
function's source text. Instead, the task is passed to a handler that
knows the details of the language. The handler itself is a special
programming language function compiled into a shared object and loaded
on demand.

To enable PL/Tcl procedural language for your database you have to run
createlang command.

%description module-pltcl -l pl
Z dokumentacji PostgreSQL:

Postgres ma wsparcie dla jzykw proceduralnych. W przypadku, kiedy
programista zdefiniuje procedur wyzwalacza lub funkcj w jzyku
proceduralnym, baza danych nie ma pojcia jak interpretowa tego typu
funkcj. Funkcja lub procedura ta jest przekazywana do interpretera,
ktry wie jak j wykona. Interpreter jest odpowiedni, specjaln
funkcj, ktra jest skompilowana w obiekt dzielony i adowany w razie
potrzeby.

Za pomoc polecenia createlang mona doda obsug jzyka
proceduralnego PL/Tcl dla swojej bazy danych.

%package module-dblink
Summary:	dblink module for PostgreSQL
Summary(pl):	Modu dblink dla PostgreSQL-a
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}

%description module-dblink
dblink module for PostgreSQL provides functions returning results from
remote database.

%description module-dblink -l pl
Modu dblink dla PostgreSQL-a udostpnia funkcje zwracajce wyniki ze
zdalnej bazy danych.

%package module-lo
Summary:	Large Objects module for PostgreSQL
Summary(pl):	Modu Large Objects dla PostgreSQL-a
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}

%description module-lo
Large Objects module for PostgreSQL adds a new data type 'lo', some
support functions and a trigger which handles the orphaning problem.

%description module-lo -l pl
Modu Large Objects dla PostgreSQL-a dodaje nowy typ danych 'lo',
kilka funkcji pomocniczych i wyzwalacz rozwizujcy problem
osieroconych obiektw.

%package module-pgcrypto
Summary:	Cryptographic functions for PostgreSQL
Summary(pl):	Funkcje kryptograficzne dla PostgreSQL-a
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}

%description module-pgcrypto
Cryptographic functions for PostgreSQL.

%description module-pgcrypto -l pl
Funkcje kryptograficzne dla PostgreSQL.

%package module-tablefunc
Summary:	crosstab functions for PostgreSQL
Summary(pl):	Funkcje crosstab dla PostgreSQL-a
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}

%description module-tablefunc
crosstab functions for PostgreSQL.

%description module-tablefunc -l pl
Funkcje crosstab dla PostgreSQL-a.

%package module-tsearch2
Summary:	Full text extension for PostgreSQL
Summary(pl):	Rozszerzenie penotekstowe dla PostgreSQL-a
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}

%description module-tsearch2
Implementation of a new data type tsvector - a searchable data type
with indexed access:
http://www.sai.msu.su/~megera/postgres/gist/tsearch/V2/

%description module-tsearch2 -l pl
Implementacja nowego typu danych tsvector - typu danych podlegajcego
przeszukiwaniu z dostpem poprzez indeksy:
http://www.sai.msu.su/~megera/postgres/gist/tsearch/V2/

%package module-pg_trgm
Summary:	Trigram matching for PostgreSQL
Summary(pl):	Dopasowanie trigramowe dla PostgreSQL-a
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}

%description module-pg_trgm
This module provides functions and index classes for determining the
similarity of text based on trigram matching.

%description module-pg_trgm -l pl
Ten modu dostarcza funkcje i klasy do rozpoznawania podobnych tekstw
w oparciu o dopasowywanie trigramowe (trigram matching).


%package module-xml2
Summary:	XML-handling functions for PostgreSQL
Summary(pl):	Funkcje do obsugi XML-a dla PostgreSQL-a
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}

%description module-xml2
Module with XML functions provides both XPath querying and XSLT
functionality. There is also a new table function which allows the
straightforward return of multiple XML results.

%description module-xml2 -l pl
Modu z funkcjami XML zapewniajcymi obsug zapyta XPath oraz
funkcjonalno XSLT. Jest take nowa funkcja tabelowa pozwalajca na
bezporednie zwracanie wielu wynikw XML.

%prep
%setup -q -a8
%patch0 -p1
%{?with_absolute_dbpaths:%patch1 -p1}
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0

%if %{with php}
patch -p1 < plphp.patch
%endif

tar xzf doc/man*.tar.gz

mkdir doc/unpacked
tar zxf doc/postgres.tar.gz -C doc/unpacked

# Erase all CVS dirs
#find contrib -type d -name CVS -exec rm -rf {} \;

%build
%{__aclocal} -I config
%{__autoconf}
%configure \
	CFLAGS="%{rpmcflags} -DNEED_REENTRANT_FUNCS" \
	--disable-rpath \
	--enable-depend \
	--enable-integer-datetimes \
	--enable-nls \
	--enable-thread-safety \
	%{?with_kerberos5:--with-krb5} \
	--with-openssl \
	--with-pam \
	%{?with_perl:--with-perl} \
	%{?with_php:--with-php=/usr/include/php} \
	%{?with_python:--with-python} \
	%{?with_tcl:--with-tcl --with-tclconfig=%{_ulibdir}} \
	--without-docdir

%{__make}
%{__make} -C contrib/dblink
%{__make} -C contrib/lo
%{__make} -C contrib/pgcrypto
%{__make} -C contrib/tablefunc
%{__make} -C contrib/tsearch2
%{__make} -C contrib/pg_trgm
%{__make} -C contrib/xml2
%{__make} -C src/tutorial \
	NO_PGXS=1

%ifnarch sparc sparcv9 sparc64 alpha
%{?with_tests:%{__make} check}
%endif

%if %{with php}
cd src/pl/plphp
%{__make}
cd ../../../
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/{rc.d/init.d,sysconfig}} \
	$RPM_BUILD_ROOT{/var/{lib/pgsql,log},%{_pgsqldir}} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version} \
	$RPM_BUILD_ROOT%{_mandir} \
	$RPM_BUILD_ROOT/home/services/postgres

install src/tutorial/*.sql $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with perl}
%{__make} install -C src/pl/plperl \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%{__make} -C contrib/dblink install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C contrib/lo install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C contrib/pgcrypto install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C contrib/tablefunc install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C contrib/tsearch2 install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C contrib/pg_trgm install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C contrib/xml2 install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with php}
cd src/pl/plphp
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cd ../../../
%endif

touch $RPM_BUILD_ROOT/var/log/pgsql

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/postgresql
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/postgresql

install -d howto
tar zxf %{SOURCE2} -C howto

%py_comp $RPM_BUILD_ROOT%{py_libdir}
%py_ocomp $RPM_BUILD_ROOT%{py_libdir}

# find locales
for f in libpq pg_controldata pg_dump pg_resetxlog pgscripts postgres psql initdb pg_ctl pg_config; do
	%find_lang $f
done
# merge locales
cat pgscripts.lang pg_resetxlog.lang postgres.lang pg_controldata.lang > main.lang
cat pg_dump.lang psql.lang initdb.lang pg_ctl.lang > clients.lang

# Remove Contrib documentation. We use macro %doc
rm -rf $RPM_BUILD_ROOT/contrib

%clean
rm -rf $RPM_BUILD_ROOT

%pre
PG_DB_CLUSTERS=""
if [ -f /etc/sysconfig/postgresql ]; then
	. /etc/sysconfig/postgresql
	if [ -z "$PG_DB_CLUSTERS" -a -n "$POSTGRES_DATA_DIR" ]; then
		PG_DB_CLUSTERS="$POSTGRES_DATA_DIR"
	fi
fi
foundold=0
for pgdir in $PG_DB_CLUSTERS; do
	if [ -f $pgdir/PG_VERSION ]; then
		if [ `cat $pgdir/PG_VERSION` != '8.2' ]; then
			echo "Found database(s) in older, incompatible format in cluster $pgdir."
			foundold=1
		fi
	fi
done
if [ "$foundold" = "1" ]; then
	echo
	echo "Dump all data from clusters mentioned above (using pg_dump or pg_dumpall)"
	echo "and clean (or rename) those directories; then upgrade postgresql and"
	echo "restore all data (using pg_restore or psql)."
	echo "Remember to stop the daemon before upgrading!"
	echo
	echo "Warning for upgrade from version *before* 7.2."
	echo "Please note, that postgresql module path changed from"
	echo "/usr/lib/pgsql/module to /usr/lib/postgresql. Change the path"
	echo "in dump file before restore."
	echo
	echo "Warning for upgrade from version *before* 7.3."
	echo "Reading following webpage is encouraged:"
	echo "http://www.ca.postgresql.org/docs/momjian/upgrade_tips_7.3"
	exit 1
fi

%groupadd -g 88 -r postgres
%useradd -M -o -r -u 88 -d /home/services/postgres -s /bin/sh -g postgres -c "PostgreSQL Server" postgres

if [ -n "`/bin/id -u postgres 2>/dev/null`" ]; then
	/usr/sbin/usermod -d /home/services/postgres postgres
fi

%post
/sbin/chkconfig --add postgresql
%service postgresql restart "postgresql server"

%preun
if [ "$1" = "0" ]; then
	%service postgresql stop
	/sbin/chkconfig --del postgresql
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post	ecpg -p /sbin/ldconfig
%postun	ecpg -p /sbin/ldconfig

%files -f main.lang
%defattr(644,root,root,755)
%doc COPYRIGHT README HISTORY doc/{FAQ*,README*,bug.template}
%attr(754,root,root) /etc/rc.d/init.d/postgresql
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/postgresql

%attr(755,root,root) %{_bindir}/initdb
%attr(755,root,root) %{_bindir}/ipcclean
%attr(755,root,root) %{_bindir}/pg_controldata
%attr(755,root,root) %{_bindir}/pg_ctl
%attr(755,root,root) %{_bindir}/pg_resetxlog
%attr(755,root,root) %{_bindir}/postgres
%attr(755,root,root) %{_bindir}/postmaster

%attr(755,root,root) %{_pgmoduledir}/ascii*
%attr(755,root,root) %{_pgmoduledir}/cyrillic*
%attr(755,root,root) %{_pgmoduledir}/euc*
%attr(755,root,root) %{_pgmoduledir}/latin*
%attr(755,root,root) %{_pgmoduledir}/utf*

%dir %{_pgsqldir}
%dir %{_datadir}/postgresql
%{_datadir}/postgresql/*.bki
%{_datadir}/postgresql/*.sample
%{_datadir}/postgresql/*.description
%{_datadir}/postgresql/*.shdescription
%{_datadir}/postgresql/*.sql
%{_datadir}/postgresql/*.txt
%{_datadir}/postgresql/timezone
%{_datadir}/postgresql/timezonesets

%attr(700,postgres,postgres) /home/services/postgres
%attr(700,postgres,postgres) %dir /var/lib/pgsql
%attr(640,postgres,postgres) %config(noreplace) %verify(not md5 mtime size) /var/log/pgsql

%{_mandir}/man1/initdb.1*
%{_mandir}/man1/ipcclean.1*
%{_mandir}/man1/pg_controldata.1*
%{_mandir}/man1/pg_ctl.1*
%{_mandir}/man1/pg_resetxlog.1*
%{_mandir}/man1/postgres.1*
%{_mandir}/man1/postmaster.1*

%files doc
%defattr(644,root,root,755)
%doc doc/unpacked/* doc/src/FAQ howto
%{_examplesdir}/%{name}-%{version}

%files libs -f libpq.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpq.so.*.*
%dir %{_pgmoduledir}

%files ecpg
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ecpg
%attr(755,root,root) %{_libdir}/libecpg.so.*.*
%attr(755,root,root) %{_libdir}/libecpg_compat.so.*.*
%attr(755,root,root) %{_libdir}/libpgtypes.so.*.*
%{_mandir}/man1/ecpg.1*

%files ecpg-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libecpg.so
%attr(755,root,root) %{_libdir}/libecpg_compat.so
%attr(755,root,root) %{_libdir}/libpgtypes.so
%{_includedir}/ecpg*

%files devel -f pg_config.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pg_config
%attr(755,root,root) %{_libdir}/libpq.so
%dir %{_includedir}/postgresql
%{_includedir}/libpq-fe.h
%{_includedir}/pg_config.h
%{_includedir}/pg_config_manual.h
%{_includedir}/pg_config_os.h
%{_includedir}/postgres_ext.h
%dir %{_includedir}/postgresql/internal
%{_includedir}/postgresql/internal/c.h
%{_includedir}/postgresql/internal/libpq-int.h
%{_includedir}/postgresql/internal/port.h
%{_includedir}/postgresql/internal/postgres_fe.h
%{_includedir}/postgresql/internal/pqexpbuffer.h
%{_includedir}/postgresql/internal/libpq
%{_includedir}/libpq
%{_mandir}/man1/pg_config.1*

%files backend-devel
%defattr(644,root,root,755)
%{_includedir}/postgresql/server
%dir %{_pgmoduledir}/pgxs
%attr(755,root,root) %{_pgmoduledir}/pgxs/config
%{_pgmoduledir}/pgxs/src

%files static
%defattr(644,root,root,755)
%{_libdir}/libecpg.a
%{_libdir}/libecpg_compat.a
%{_libdir}/libpq.a
%{_libdir}/libpgtypes.a
%{_libdir}/libpgport.a

%files clients -f clients.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/clusterdb
%attr(755,root,root) %{_bindir}/createdb
%attr(755,root,root) %{_bindir}/createlang
%attr(755,root,root) %{_bindir}/createuser
%attr(755,root,root) %{_bindir}/dropdb
%attr(755,root,root) %{_bindir}/droplang
%attr(755,root,root) %{_bindir}/dropuser
%attr(755,root,root) %{_bindir}/pg_dump
%attr(755,root,root) %{_bindir}/pg_dumpall
%attr(755,root,root) %{_bindir}/pg_restore
%attr(755,root,root) %{_bindir}/psql
%attr(755,root,root) %{_bindir}/reindexdb
%attr(755,root,root) %{_bindir}/vacuumdb

%{_mandir}/man1/clusterdb.1*
%{_mandir}/man1/createdb.1*
%{_mandir}/man1/createlang.1*
%{_mandir}/man1/createuser.1*
%{_mandir}/man1/dropdb.1*
%{_mandir}/man1/droplang.1*
%{_mandir}/man1/dropuser.1*
%{_mandir}/man1/pg_dump.1*
%{_mandir}/man1/pg_dumpall.1*
%{_mandir}/man1/pg_restore.1*
%{_mandir}/man1/psql.1*
%{_mandir}/man1/reindexdb.1*
%{_mandir}/man1/vacuumdb.1*
%{_mandir}/man7/*.7*

%files module-plpgsql
%defattr(644,root,root,755)
%attr(755,root,root) %{_pgmoduledir}/plpgsql.so

%if %{with perl}
%files module-plperl
%defattr(644,root,root,755)
%attr(755,root,root) %{_pgmoduledir}/plperl.so
%endif

%if %{with python}
%files module-plpython
%defattr(644,root,root,755)
%attr(755,root,root) %{_pgmoduledir}/plpython.so
%endif

%if %{with tcl}
%files module-pltcl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pltcl_*
%attr(755,root,root) %{_pgmoduledir}/pltcl.so
%endif

%if %{with php}
%files module-plphp
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/plphp_*
%attr(755,root,root) %{_pgmoduledir}/plphp.so
%endif

%files module-dblink
%defattr(644,root,root,755)
%doc contrib/dblink/README.dblink
%attr(755,root,root) %{_pgmoduledir}/dblink.so
%{_pgsqldir}/*dblink.sql

%files module-lo
%defattr(644,root,root,755)
%doc contrib/lo/README.lo
%attr(755,root,root) %{_pgmoduledir}/lo.so
%{_pgsqldir}/*lo.sql

%files module-pgcrypto
%defattr(644,root,root,755)
%doc contrib/pgcrypto/README*
%attr(755,root,root) %{_pgmoduledir}/pgcrypto.so
%{_pgsqldir}/*pgcrypto.sql

%files module-tablefunc
%defattr(644,root,root,755)
%doc contrib/tablefunc/README.tablefunc
%attr(755,root,root) %{_pgmoduledir}/tablefunc.so
%{_pgsqldir}/*tablefunc.sql

%files module-tsearch2
%defattr(644,root,root,755)
%doc contrib/tsearch2/README*
%attr(755,root,root) %{_pgmoduledir}/tsearch2.so
%{_pgsqldir}/*tsearch2.sql
%{_pgsqldir}/russian.stop.utf8
%{_pgsqldir}/thesaurus
%{_pgsqldir}/*.stop

%files module-pg_trgm
%defattr(644,root,root,755)
%doc contrib/pg_trgm/README*
%attr(755,root,root) %{_pgmoduledir}/pg_trgm.so
%{_pgsqldir}/*pg_trgm.sql

%files module-xml2
%defattr(644,root,root,755)
%doc contrib/xml2/README*
%attr(755,root,root) %{_pgmoduledir}/pgxml.so
%{_pgsqldir}/*pgxml.sql

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: postgresql.spec,v $
Revision 1.379.2.1  2007/02/12 20:23:31  zawadaa
- up to 8.2.3
- STBR

Revision 1.379  2006/12/28 13:12:36  hawk
- fix LIMIT/OFFSET for null limit values
- release 2

Revision 1.378  2006/12/19 13:28:29  hawk
- works for me, release 1

Revision 1.377  2006/12/13 15:34:24  qboosh
- pl for -module-xml2
- todo cleanup (plphp has files now)

Revision 1.376  2006/12/12 12:44:30  mis
- added xml2 module

Revision 1.375  2006/12/10 21:26:21  arekm
- _ulibdir for tcl

Revision 1.374  2006/12/10 21:24:10  arekm
- updated configure options; files for plphp module by Tomasz Rutkowski alucard nospheratu.net

Revision 1.373  2006/12/09 23:06:47  wrobell
- rel. 0.3

Revision 1.372  2006/12/08 21:58:41  qboosh
- safer shellglob

Revision 1.371  2006/12/08 21:27:57  qboosh
- updated PG_VERSION in pre

Revision 1.370  2006/12/08 20:21:21  qboosh
- dropped libpq.so.3

Revision 1.369  2006/12/07 10:59:35  wrobell
- added missing files
- rel. 0.2

Revision 1.368  2006/12/06 22:24:32  arekm
- finished update to 8.2.0

Revision 1.367  2006/12/06 21:28:37  arekm
- fetch src

Revision 1.366  2006/11/09 14:55:05  qboosh
- build dblink contrib as -module-dblink (merged from OpenBIZ Linux)
- -module-tablefunc descs

Revision 1.365  2006/11/07 20:24:20  qboosh
- added CVE refs to changelog rev. 1.362

Revision 1.364  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.363  2006/10/29 20:07:48  blues
- rel.2 - added module-tablefunc from contrib. It is present in default
  windows instalations.

Revision 1.362  2006/10/18 20:32:54  wrobell
- ver. 8.1.5
[fixes CVE-2006-5540 CVE-2006-5541 CVE-2006-5542]

Revision 1.361  2006/10/08 12:33:43  qboosh
- libpq.so.4 is autogenerated, so don't package it

Revision 1.360  2006/10/08 11:59:30  qboosh
- pg_trgm desc cosmetics
- dropped never used ac patch

Revision 1.359  2006/10/02 07:38:06  arekm
- add pg_trgm module

Revision 1.358  2006/08/06 17:07:33  wolf
- rel 2

Revision 1.357  2006/06/28 09:24:31  qboosh
- unbroken tsearch2 dicts path for postgresql 8.0.x (change was OK for 7.4.x)

Revision 1.356  2006/06/09 15:21:57  glen
- add CVE refs to 8.1.4 release

Revision 1.355  2006/05/24 12:43:36  arekm
- up to 8.1.4 (security fixes; sql injection) [CVE-2006-2313, CVE-2006-2314]

Revision 1.354  2006/05/04 08:46:55  pluto
- release 4 for rebuild (critical bug in gcc41 fixed).

Revision 1.353  2006/04/15 13:39:45  glen
- rel 3

Revision 1.352  2006/04/04 17:08:50  hawk
- added small fix/workaround for pg_ctl failing when unix_socket_directory
  is defined in postgresql.conf
- release 2

Revision 1.351  2006/03/12 22:45:47  glen
- use %service, adapterized

Revision 1.350  2006/02/13 14:10:03  wrobell
- ver. 8.1.3

Revision 1.349  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.348  2006/01/10 17:08:02  mwinkler
- url upgrade without dot

Revision 1.347  2006/01/08 21:32:59  zawadaa
- up to 8.1.2

Revision 1.346  2005/12/12 23:10:10  zawadaa
- Source0 URL back

Revision 1.345  2005/12/12 23:04:22  zawadaa
- up to 8.1.1

Revision 1.344  2005/11/17 11:12:08  qboosh
- updated version number in check

Revision 1.343  2005/11/11 17:02:47  wrobell
- rel. 1

Revision 1.342  2005/11/11 16:38:33  wrobell
- ver. 8.1.0

Revision 1.341  2005/10/24 16:41:14  glen
- removed impossible todo

Revision 1.340  2005/10/04 22:23:26  zawadaa
- orig source is back
- STBR

Revision 1.339  2005/10/04 10:20:17  zawadaa
- up to 8.0.4
- Source0 is for distfiles only

Revision 1.338  2005/09/22 15:23:11  wrobell
- updated todo

Revision 1.337  2005/09/17 10:29:16  arekm
- rebuild with readline 5.0

Revision 1.336  2005/09/15 19:02:33  glen
- for php module add php api requires

Revision 1.335  2005/08/05 13:08:00  mwinkler
- BR for python-modules

Revision 1.334  2005/07/23 17:56:56  romke
- reverted my last commit, release 4, nevermind initscript "init"
  option changes.

Revision 1.333  2005/07/23 14:26:49  romke
- release 5 (changes in postgresql.{init,sysconfig}), STBR.

Revision 1.332  2005/07/08 18:06:22  arekm
- BR heimdal-devel >= 0.7

Revision 1.331  2005/07/08 10:25:04  qboosh
- package contrib/lo

Revision 1.330  2005/07/01 21:20:49  qboosh
- simplified versioning again after slony1 removal

Revision 1.329  2005/07/01 07:26:01  jajcus
- slony1 removed -- version 1.1 may be built separately

Revision 1.328  2005/05/14 00:44:47  arekm
- fix libpq; rel 3

Revision 1.327  2005/05/13 19:53:42  arekm
- rel 2; add libpq.so.3 hack

Revision 1.326  2005/05/13 07:41:48  arekm
- rel 1

Revision 1.325  2005/05/10 19:14:51  qboosh
- updated to 8.0.3 (note: in order to fix security issues one should perform
  dump/initdb/reload cycle or manual repair as specified in docs)

Revision 1.324  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.323  2005/04/26 19:11:42  pluto
- backend-devel needs postgresql includedir for server stuff.

Revision 1.322  2005/04/19 20:43:35  qboosh
- removed obsolete gram patch

Revision 1.321  2005/04/18 09:13:40  hawk
- updated to 8.0.2
- builds, not tested
- release 0.1

Revision 1.320  2005/03/18 21:44:17  qboosh
- pl for -plphp, cosmetics

Revision 1.319  2005/03/16 20:12:09  aredridel
- disable broken PHP with bcond

Revision 1.318  2005/03/16 18:12:47  aredridel
- more pl/php

Revision 1.317  2005/03/16 17:47:09  aredridel
- initial attempt at adding pl/php

Revision 1.316  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.315  2005/03/06 13:22:54  saq
- move utilities main->clients (unnecessary for the server, useful
  without it)
- release 2

Revision 1.314  2005/02/18 06:59:51  qboosh
- release 1

Revision 1.313  2005/02/17 23:29:35  charles
- BR python for %with_python

Revision 1.312  2005/02/17 12:07:45  qboosh
- build tutorial, package pgxs files; sorted configure options
- changed .sysconfig to default to standard, one-cluster setting

Revision 1.311  2005/02/17 08:56:34  zboczuch
- new release to fetch  new init script

Revision 1.310  2005/02/14 02:26:19  pluto
- fix accept() args checking (needed for glibc2.3.4+gcc4).
  patch commented out by default.

Revision 1.309  2005/02/14 01:50:57  pluto
- tsearch2.sql.in: dicts locations fixed.

Revision 1.308  2005/02/13 23:16:30  qboosh
- removed senseless todo entry (postmaster running without databases
  could cause more serious problems anyway)

Revision 1.307  2005/02/13 19:36:56  qboosh
- tcl done

Revision 1.306  2005/02/10 14:23:58  qboosh
- unified groupadd/useradd usage; no need for usermod for slony1

Revision 1.305  2005/02/10 10:16:12  charles
- added -gram.patch (prevent 4 more buffer overruns
in the PL/PgSQL parser)

Revision 1.304  2005/02/06 21:10:11  qboosh
- one more thing to do to avoid upgrade trap

Revision 1.303  2005/02/06 19:33:34  qboosh
- package pg_config locales

Revision 1.302  2005/02/06 10:38:19  qboosh
- verify() for sysconfig/slony1, unified files syntax/perms

Revision 1.301  2005/02/06 10:05:54  aredridel
- fix perms on .pgpass

Revision 1.300  2005/02/06 07:56:43  aredridel
- removed duplicate entries in init.d in %files

Revision 1.299  2005/02/06 07:28:38  aredridel
- slony1 initscripts work

Revision 1.298  2005/02/06 05:48:12  aredridel
- added slony1 user and init
- nfy

Revision 1.297  2005/02/02 11:50:36  zawadaa
- update to 8.0.1

Revision 1.296  2005/01/19 09:58:24  wrobell
- tests passed on my ppc system
- tutorial does not build currently

Revision 1.295  2005/01/19 09:20:10  wrobell
- oops, jdbc is separate project, now

Revision 1.294  2005/01/19 09:13:49  wrobell
- added todo about jdbc subpackage

Revision 1.293  2005/01/19 08:55:12  wrobell
- merge from DEVEL

Revision 1.292  2005/01/14 09:07:53  qboosh
- mv is not a proper way to _install_ files (breaks short-circuit)
- use SOURCE2 macro not filename

Revision 1.291  2005/01/13 23:30:45  pawcioos
- added missing scripts examples

Revision 1.290  2005/01/01 17:29:55  wolf
- remove -f from groupadd call

Revision 1.289  2005/01/01 17:21:26  wolf
- C: pwdutils (groupadd: You are using an undocumented option (-f)!)

Revision 1.288  2004/12/23 22:35:04  saq
- release 5 for rebuild with python 2.4

Revision 1.287  2004/11/27 19:01:23  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.286  2004/11/20 18:36:35  radek
- changed "requires_eq perl-base" to strict DynaLoader requirement;
  if it really needs that requires_eq, let me know

Revision 1.285  2004/11/20 15:11:59  qboosh
- formatting

Revision 1.284  2004/11/17 22:04:08  hawk
- typo

Revision 1.283  2004/11/17 21:44:47  hawk
- rel up

Revision 1.282  2004/11/17 21:35:51  hawk
- changed slony1 subpackage to inlcude both slony1 and postgresql
  version/release in format slony1-version@postgresql-version
- added pl description to slony1 subpackage

Revision 1.281  2004/11/17 14:58:33  jajcus
- config.* file sync for AMD64 in slony1 sources

Revision 1.280  2004/11/17 13:41:47  jajcus
- release number fixed in the last commit log.

Revision 1.279  2004/11/17 13:32:30  jajcus
- Release: 3
- Slony-I added ("slony1" package). Built from this spec as it requires compiled PostgreSQL sources.

Revision 1.278  2004/11/17 12:41:48  hawk
- libtool is still needed for macro AC_PROG_LD, added BR

Revision 1.277  2004/10/31 21:53:12  paladine
- spaces->tabs
- formatting

Revision 1.276  2004/10/26 10:25:35  qboosh
- create _javadir only if built with java

Revision 1.275  2004/10/25 10:44:38  paladine
- "Tcl" and "Tk" unifications (and few others)

Revision 1.274  2004/10/25 09:28:27  qboosh
- release 2: rebuild with fixed init

Revision 1.273  2004/10/24 22:11:20  ankry
- pl fix

Revision 1.272  2004/10/24 20:34:40  paladine
- spelling fixes, uppercases, etc.

Revision 1.271  2004/10/23 09:37:23  troll
- updated to 7.4.6

Revision 1.270.2.8  2005/01/19 07:46:32  wrobell
- builds now, nfy

Revision 1.270.2.7  2005/01/19 06:58:46  wrobell
- ver. 8.0.0 (nfy)

Revision 1.270.2.6  2004/09/28 21:20:34  jareq
- updated to 8.0.0 beta 3
- rel 0.1

Revision 1.270.2.5  2004/09/06 13:57:00  jareq
- remove contrib_install.patch. (not needed)
- remove postgresql-pg_ctl-silent.patch (not needed)
- rel 0.3

Revision 1.270.2.4  2004/09/05 21:25:49  jareq
- remove postgresql-doc.patch (included in source)
- remove postgresql-tsearch2-compound_word_support_20031210.patch (included in source)
- remove postgresql-pg_ctl-nopsql.patch (not needed)
- update postgresql-conf.patch
- update postgresql-ecpg_link.patch
- renumerate patches
- rel 0.2

Revision 1.270.2.3  2004/09/05 11:41:44  jareq
- Remove the libpgtcl client interface; now a separate project
- Remove initlocation
- nfy

Revision 1.270.2.2  2004/09/04 22:46:02  jareq
- Remove JDBC; now a separate project. NFY

Revision 1.270.2.1  2004/09/04 19:29:31  jareq
- updated to 8.0.0 beta2
- patches need review
- nfy

Revision 1.270  2004/08/27 17:10:46  pluto
- [jdbc] BR += jakarta-ant.

Revision 1.269  2004/08/24 13:23:13  qboosh
- bison is not needed for releases (flex is, for tsearch2)

Revision 1.268  2004/08/19 13:17:40  jareq
- updated to 7.4.5

Revision 1.267  2004/07/28 08:03:15  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.266  2004/06/16 07:54:17  zboczuch
- BR: gettext-devel (due to 'configure: error: msgfmt is required for NLS')

Revision 1.265  2004/06/16 07:05:55  jareq
- updated to 7.4.3

Revision 1.264  2004/05/17 09:33:02  pluto
- BR += flex (thx. Andrzej Zawadzki).

Revision 1.263  2004/03/31 10:25:58  wrobell
- rel. 1

Revision 1.262  2004/03/30 15:05:37  wrobell
- rel. 0.4 due to updated pg_ctl-nopsql patch

Revision 1.261  2004/03/29 14:17:28  qboosh
- cosmetics

Revision 1.260  2004/03/29 14:06:25  qboosh
- updated pg_ctl TODO

Revision 1.259  2004/03/26 15:27:43  qboosh
- restored actual functionality of pg_ctl-nopsql patch
  (now postgresql should start even with auth enabled, wow)
- release 0.3

Revision 1.258  2004/03/19 23:46:34  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.257  2004/03/18 13:14:27  wrobell
- rel. 0.2 to rebuild with fixed doc patch

Revision 1.256  2004/03/11 07:22:32  mwinkler
- updated to 7.4.2

Revision 1.255  2004/02/29 20:55:36  qboosh
- fixed chown syntax in init script
- fixed -ecpg* deps, strict internal deps, release 0.3

Revision 1.254  2004/01/30 19:01:12  witekfl
- added FAQ to postgresql-doc

Revision 1.253  2004/01/30 07:57:01  jajcus
- Release: 0.2
- properly detect python build config directory on AMD64 (-python-configdir.patch)

Revision 1.252  2003/12/24 13:41:04  qboosh
- added two more headers to -devel and stopwords to -module-tsearch2

Revision 1.251  2003/12/23 23:06:05  jareq
- updated patch8 (compiles fine)

Revision 1.250  2003/12/23 06:30:06  jareq
- updated to 7.4.1
- remove patch 11 (included in source)
- patch 8 need update

Revision 1.249  2003/12/22 22:55:23  jareq
- added Patch11: postgresql-ssl-libpq-mem-leak-1.patch

Revision 1.248  2003/12/22 12:40:54  wrobell
- contrib removed from main package's documentation (it is sometimes
  duplicated, i.e.  autovacuum support in main package or pgcrypto in
  module-pgcrypto, so if you need something then let's make a subpackage or
  just download sources otherwise)
- documentation files inclusion of main packages moved from the end to the
  begining of the files section (it is convention)

Revision 1.247  2003/12/20 19:31:16  arekm
- fix amd64 build

Revision 1.246  2003/12/20 13:14:18  qboosh
- bconds with missing descriptions converted to new style w/descriptions
- pl for module-tsearch2

Revision 1.245  2003/12/20 11:49:48  wrobell
- added indexed search support (changes by Pawel Sikora)

Revision 1.244  2003/12/18 14:49:33  wrobell
- removed applnkdir and pixmapsdir creation - not used anymore in this spec
- added patch to not install html docs with postgresql's Makefiles
- section "l" of manuals removed:
  - the manuals duplicate with section "7"
  - section "l" is not specified in FHS
- do not install manuals manually :-) (they are installed by postgresql's
  Makefiles correctly)
- manuals of section "7" moved to clients subpackage

Revision 1.243  2003/12/17 16:10:51  wrobell
- fixed installation of contrib SQL files
- rel. 0.9

Revision 1.242  2003/11/26 10:34:10  jajcus
- -DNEED_REENTRANT_FUNCS added to CFLAGS (I don't know why configure doesn't set it) - without this nss_pgsql won't work

Revision 1.241  2003/11/23 16:26:59  ciesiel
- changed req. perl -> perl-base

Revision 1.240  2003/11/21 08:00:58  jajcus
- perl and python bconds

Revision 1.239  2003/11/21 04:20:17  wrobell
- locales integrated

Revision 1.238  2003/11/20 02:31:31  wrobell
- locales enabled, nfy

Revision 1.237  2003/11/19 13:58:27  qboosh
- updated TODO, cosmetics, use new tests bcond

Revision 1.236  2003/11/19 13:10:23  wrobell
- describe 'without tests' bcond

Revision 1.235  2003/11/18 23:50:43  wrobell
- autovacuum support added
- ecpg headers problem fixed: removed todo item
- rel. 0.7

Revision 1.234  2003/11/17 10:45:43  wrobell
- ver. 7.4 (final)

Revision 1.233  2003/11/16 20:47:47  qboosh
- added ecpg-includedir patch, moved ecpg headers to ecpg subdir
  (to resolve conflict with odbc headers)

Revision 1.232  2003/11/15 16:37:03  wrobell
- bcond for kerberos support /changes by Pawel Sikora/

Revision 1.231  2003/11/14 19:58:32  qboosh
- separated more ecpg headers; more todo

Revision 1.230  2003/11/12 21:12:13  wrobell
- rel. 0.5.RC2 due to fixed rdbms status checking in postgresql.init script

Revision 1.229  2003/11/12 10:57:14  wrobell
- rel. 0.4.RC2:
  $ rpmvercmp 7.4-0.1.RC2 7.4-0.3.RC1
  7.4-0.1.RC2 < 7.4-0.3.RC1

Revision 1.228  2003/11/11 19:00:55  wrobell
- fixed source uri

Revision 1.227  2003/11/11 15:34:31  wrobell
- let's use the mirror to fetch the sources /the main site is always closed
  due to their bandwidth issues/

Revision 1.226  2003/11/11 09:48:41  jareq
- upgrade to 7.4 RC2

Revision 1.225  2003/11/10 01:58:31  wrobell
- added ecpg subpackage
- fix ecpg compat lib linking
- rel. 0.3.RC1

Revision 1.224  2003/11/07 11:34:55  wrobell
- include et/com_err.h instead of com_err.h (e2fsprogs installs com_err.h
  in /usr/include/et not in /usr/include)
- builds now, rel. 0.2.RC1

Revision 1.223  2003/11/07 10:53:14  wrobell
- enable 64-bit datetimes
- enable thread safety
- add kerberos 5 support
- does not build yet
- check for proper version of db clusters before upgrade

Revision 1.222  2003/11/06 12:11:24  wrobell
- sources uploaded with dropin

Revision 1.221  2003/11/06 12:10:06  wrobell
- to get sources with dropin

Revision 1.220  2003/11/05 19:02:48  wrobell
- better usage of find when removing CVS directories, imho

Revision 1.219  2003/11/05 11:53:17  wrobell
- more pg header files, sorted

Revision 1.218  2003/11/05 10:29:02  wrobell
- merged DEVEL branch

Revision 1.217  2003/10/24 08:49:54  qboosh
- moved pg_config(1) manual to proper package

Revision 1.216  2003/10/24 08:45:24  qboosh
- cosmetics

Revision 1.215  2003/10/14 09:21:52  qboosh
- BR: libtool (for AC_PROG_LD macro from libtool.m4)

Revision 1.214  2003/09/30 20:18:31  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.213  2003/09/13 15:51:08  wrobell
- move pg_config to devel subpackage
- rel. 0.2

Revision 1.212  2003/08/28 08:20:33  ankry
- cosmetics

Revision 1.211.2.8  2003/11/04 21:39:21  jareq
- upgrade to 7.4 RC1

Revision 1.211.2.7  2003/11/04 11:03:00  jareq
- upgrade to beta5
- remove BR: XFree86-devel

Revision 1.211.2.6  2003/10/17 06:24:11  jareq
- upgrade to beta 4

Revision 1.211.2.5  2003/09/19 11:07:09  wrobell
- ver. 7.4beta3

Revision 1.211.2.4  2003/08/28 17:56:54  wrobell
- new bconds
- tcl bcond
- fixed BR
- ver. 7.4 beta2

Revision 1.211.2.3  2003/08/13 14:48:45  wrobell
- updated md5

Revision 1.211.2.2  2003/08/13 13:48:59  jareq
- fix in URL

Revision 1.211  2003/08/12 22:32:52  ankry
- cosmetics

Revision 1.210  2003/07/31 10:33:24  wrobell
- fixed Python BR

Revision 1.209  2003/07/30 11:56:26  wrobell
- correct source 0 uri is back

Revision 1.208  2003/07/30 11:55:37  wrobell
- to fetch from dropin?

Revision 1.207  2003/07/30 09:30:21  wrobell
- typos

Revision 1.206  2003/07/27 22:10:23  wrobell
- updated md5

Revision 1.205  2003/07/27 21:50:44  jareq
- Upgrade to version 7.3.4

Revision 1.204  2003/06/21 15:32:49  qboosh
- release 0.2: use tcl/tk 8.4.3

Revision 1.203  2003/05/28 16:57:17  wrobell
- ver. 7.3.3 /sync with cvs.pld.org.pl/

Revision 1.202  2003/05/25 12:38:36  adgor
- Sources md5

Revision 1.201  2003/05/25 06:25:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.200  2003/03/12 08:23:53  wrobell
- rel. 0.3

Revision 1.199  2003/03/12 00:39:10  qboosh
- added link patch - we don't need -lbsd -lnsl -lresolv -lbind(!)
- added init action to .init (simple only, advices to use initdb in other cases)
- added protection against upgrade when old databases exist
- don't treat restart error in %%post as fatal - it caused leaving two
  versions of postgresql installed

Revision 1.198  2003/02/19 13:25:29  wrobell
- s/pgcrypto/module-\0/
- added module-pgcrypto descriptions
- updated todo
- commented out pgcrypto docs and sql files (look into todo)

Revision 1.197  2003/02/18 23:39:42  djrzulf
- fixed %files pgcrypto

Revision 1.196  2003/02/18 22:32:44  djrzulf
- added pgcrypto package (needed by deFactor-ng)

Revision 1.195  2003/02/17 19:14:29  qboosh
- missing dir, more specific Requires

Revision 1.194  2003/02/17 14:08:54  wrobell
- rel. 0.2 due to changed postgresql.init

Revision 1.193  2003/02/13 14:05:24  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.192  2003/02/05 11:07:15  wrobell
- ver. 7.3.2

Revision 1.191  2003/01/16 19:43:02  mwinkler
- patch to create databases in alternative locations (not enabled by default)

Revision 1.190  2003/01/13 14:17:56  wrobell
- added missing changelog entry (sorry guys, my fault)

Revision 1.189  2003/01/13 11:02:53  radek
- removed previous (empty) log message; rpm-4.1-11 complained about it:
  error: bad date in %%changelog: ** empty log message ***
  Error: package build failed. (no more info)

Revision 1.188  2003/01/09 00:25:39  wrobell
- removed some todo item due to fixed postgresql.init

Revision 1.187  2003/01/08 23:58:15  wrobell
- more todo

Revision 1.186  2003/01/06 13:22:37  wrobell
- introduced postgresql-conf patch, which changes some default
  configuration of postgresql RDBMS
- rel. 0.2 (enabled syslog logging)

Revision 1.185  2002/12/30 13:27:49  wrobell
- ver. 7.3.1

Revision 1.184  2002/12/10 15:17:25  grabba
added missing BR

Revision 1.183  2002/12/02 11:06:25  ankry
- massive cleaning

Revision 1.182  2002/12/02 10:48:43  wrobell
- updated todo

Revision 1.181  2002/11/30 09:29:08  wrobell
- updated todo
- uncommented libtool.m4 removal (my mistake)

Revision 1.180  2002/11/28 12:58:19  wrobell
- ver. 7.3
- rel. 0.3

Revision 1.179  2002/11/27 09:44:17  wrobell
- perl-devel build requirement is back to build Perl procedural language
- remove html documentation from infodir
- sorted build requirements

Revision 1.178  2002/11/26 17:00:54  wrobell
- changelog cut

Revision 1.177  2002/11/26 14:07:02  wrobell
- more missing files added
- rel. 0.2.rc2

Revision 1.176  2002/11/25 19:28:55  wrobell
- more about upgrading (should version checking be back? must think about
  it more)
- do not remove libtool.m4, it breaks building with ac 2.54
- missing files added

Revision 1.175  2002/11/25 17:28:58  wrobell
- always print warnings (if databases are for incompatible postgresql versions,
  then postgresql will not start, at all)

Revision 1.174  2002/11/25 15:23:12  wrobell
- more todo

Revision 1.173  2002/11/25 12:00:51  wrobell
- odbc, pgaccess, c++, perl and pgeasy are moved to http://gborg.postgresql.org
  (let's build'em from separate packages)
- added todo
- nfy

Revision 1.172  2002/11/25 11:22:36  wrobell
- ver. 7.3rc2 /nfy/

Revision 1.171  2002/10/25 13:20:26  undefine
- add pam support. Please test works without pam using when pam support is enabled.
- release 1.1

Revision 1.170  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.169  2002/10/03 09:42:50  wrobell
- ver. 7.2.3

Revision 1.168  2002/08/24 20:29:58  kloczek
- merge translations from TurboLinux.

Revision 1.167  2002/08/24 19:56:30  kloczek
- updated to 7.2.2: security fixes.

Revision 1.166  2002/06/27 08:51:39  kloczek
- release 9,
- change run levels: run postgresql on 84 level (before apache) and stop on
  25 (after apache) - it is neccessary if localy runed apache uses mod_log_psql
  module.

Revision 1.165  2002/05/30 18:09:24  wrobell
- added documentation for python-postgresql package
- new doc scheme
- rel. 8

Revision 1.164  2002/05/21 23:14:32  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.163  2002/05/09 22:24:18  qboosh
- one more fix in postgresql.init: initialize defaults before reading service
  config, so init script won't fail if config file is present but some variable
  is not set
- release 7

Revision 1.162  2002/05/02 16:51:16  kloczek
- merge translations from KSI.

Revision 1.161  2002/05/02 16:27:45  qboosh
- changed 'su postgres' to 'su - postgres' before initdb in postgresql.init
  - now it works when 'postgresql start' is called with $PWD inaccessible by
  postgres user (fix by mw)
- release 6

Revision 1.160  2002/04/27 13:56:12  aflinta
- added encoding selection to init script
- release 5

Revision 1.159  2002/04/13 17:07:56  kloczek
- release 4: rebuild against python 2.2.1.

Revision 1.158  2002/04/11 12:23:48  wrobell
- use pyrequires_eq macro
- rel. 3
- stb

Revision 1.157  2002/04/03 05:56:12  kloczek
- updated to 7.2.1 (bugfix version),
- rmoved oudated contribfixes patch.

Revision 1.156  2002/03/25 11:52:16  mis
- added pg_ctl-nopsql.patch which fixes server start on properly
  configured postgresql installations

Revision 1.155  2002/03/18 07:12:40  wrobell
- python subpackage group changed to Libraries/Python
- rel. 7
- stb

Revision 1.154  2002/03/10 09:01:37  djrzulf
- back to previous version,

Revision 1.152  2002/03/06 20:48:27  misiek
- disable make check on ppc

Revision 1.151  2002/03/01 01:41:49  kloczek
- added python-mx-DateTime to Requires list for python subpackage
  (fixed http://bugs.pld.org.pl/?bug=108).

Revision 1.150  2002/02/28 21:59:20  kloczek
- relase 6.

Revision 1.149  2002/02/28 17:15:06  filon
- there are no doc/internals.ps* files (nor anywere else)

Revision 1.148  2002/02/25 14:38:16  wrobell
- added warning about upgrade from version before 7.2
- rel. 5
- stb

Revision 1.147  2002/02/23 04:25:49  kloczek
- adapterized.

Revision 1.146  2002/02/22 23:29:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.145  2002/02/21 03:39:48  kloczek
- release 4: added contribfixes patch stolen from rawhide.

Revision 1.144  2002/02/20 14:39:58  wrobell
- remove duplicate --with-perl

Revision 1.143  2002/02/20 13:20:19  qboosh
- don't allow server upgrade if old databases exist,
  for PL/* modules, rpm should be fixed
- release 3 - needs testing

Revision 1.142  2002/02/20 12:11:52  qboosh
- moved postgres home to /home/services/postgres

Revision 1.141  2002/02/20 11:41:17  qboosh
- proper -clients descriptions (en,pl only)

Revision 1.140  2002/02/15 01:42:54  wrobell
- translate missing main package descriptions to pl

Revision 1.139  2002/02/13 19:49:36  qboosh
- removed one dummy Requires, added version to Prereq: -clients

Revision 1.138  2002/02/13 14:30:14  wrobell
- what to do? what more?

Revision 1.137  2002/02/13 11:28:13  wrobell
- removed module-datetime subpackage /disappeared between 7.0.3 and 7.1.3
  for postgresql sources/
- adapterized
- nfy

Revision 1.136  2002/02/12 19:56:58  wrobell
- rename postgresql-python package to python-postgresql
- nfy

Revision 1.135  2002/02/11 06:40:30  kloczek
- added two subpackages module-pl{python,perl},
- updated %files list,
- seems odbc header files disapear (commnented),
- spec adapterized,
- "make check" in %install is back (disable rpath was solve bugs on checking
  postgresql),
- more macros.

Revision 1.134  2002/02/10 22:00:41  pawelk
dont use rpath sice it makes 'make check' allways fail

Revision 1.133  2002/02/09 15:39:46  kloczek
- commet cheking in %build (seems checking suit is broken),
- addedd --enable-unicode-conversion, --enable-depend, --with-perl to
  configure parameters.

Revision 1.132  2002/02/07 10:44:02  filon
- patch pg_ctl-silent is not obsolette
- re-added it and updated for 7.2

Revision 1.131  2002/02/07 06:50:32  kloczek
- start upgrade to 7.2,
- removed obsoleted patches.

Revision 1.130  2002/02/04 05:26:50  kloczek
- release 15: rebuild against python 2.2.
